summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authoreroen2016-03-29 11:30:08 +0200
committereroen2016-03-29 11:30:08 +0200
commit76f32946ddec6efbab66022e1c672e1f35f9c390 (patch)
tree39290c7013130582c490b2b632e2204a5ee10747
parent596b568b74628f3b7a5d0d599789f88d091e9922 (diff)
downloaderoen-overlay-76f32946ddec6efbab66022e1c672e1f35f9c390.tar.gz
eroen-overlay-76f32946ddec6efbab66022e1c672e1f35f9c390.tar.bz2
eroen-overlay-76f32946ddec6efbab66022e1c672e1f35f9c390.tar.xz
Drop old broken things
https://bugs.gentoo.org/show_bug.cgi?id=574514
-rw-r--r--app-emulation/emul-linux-x86-wxGTK/Manifest3
-rw-r--r--app-emulation/emul-linux-x86-wxGTK/emul-linux-x86-wxGTK-20130224.ebuild21
-rw-r--r--app-emulation/emul-linux-x86-wxGTK/metadata.xml5
-rw-r--r--app-emulation/lxc/Manifest2
-rw-r--r--app-emulation/lxc/files/lxc.initd.2132
-rw-r--r--app-emulation/lxc/files/lxc_at.service12
-rw-r--r--app-emulation/lxc/lxc-0.8.0-r1.ebuild144
-rw-r--r--app-emulation/lxc/lxc-0.8.0-r2.ebuild146
-rw-r--r--app-emulation/lxc/metadata.xml16
9 files changed, 0 insertions, 481 deletions
diff --git a/app-emulation/emul-linux-x86-wxGTK/Manifest b/app-emulation/emul-linux-x86-wxGTK/Manifest
deleted file mode 100644
index f5024998..00000000
--- a/app-emulation/emul-linux-x86-wxGTK/Manifest
+++ /dev/null
@@ -1,3 +0,0 @@
-DIST emul-linux-x86-wxGTK-20130224.tar.xz 2629816 SHA256 a9d59d009405b9e021d8013873f2a80ddee4200ddd37b855cc15bba0f801b433 SHA512 75521150f93252278a66f367bd41e383f56f23c5c8371dba1750902932c197289f6b6c6b11f65398720de848929a270099d6a367e523574c496a672d91ee9bd7 WHIRLPOOL 969f1cb4235ff8d706420c0611ee7b5282a14e4a33cda004d8a38937a1c19db3c1e5b1515e978dee715414d298d1f40cc276feddd64bef43812e731c543569d7
-EBUILD emul-linux-x86-wxGTK-20130224.ebuild 622 SHA256 75ccf4c3f7ded490382094941146fa8981a9590c6d946ff2d4bc78674d720019 SHA512 dca7f1744330fc88f4c224091e632620d0d3d0f44363bf8a1add78af2c18261abe62a6e36b19643a0743af1120b74c5d8366e89eae558931d6a2c26a036cf41b WHIRLPOOL 654a034d484f2e21f92ca8a4e59047b4965719534347bd03516d84c76dcc5e085b750dd272569404a12d0106a0be9b657423ee4a2301090314e555de2cf6808c
-MISC metadata.xml 206 SHA256 c899e992c6f8fd43a198b8c9e1fd28d2274ced52a1695ed9348ba6dc0347ac75 SHA512 3ead7f0a3c6c26f394f5569d599993e6f9ad8e5d1dea916be1e0c33bf13be88a0edae9fdd653acdcae304ed4c18bcf98d61d4417dda3f7ddcbb50cc7dedd452a WHIRLPOOL f457ecccb6feffabddd18f33872f5d20b65a640d677d06e247f8b8cd2e36549748df6821218f2bb08e1cfbc0c5656458a1ed09e1c36a9a0e07fe163c853747da
diff --git a/app-emulation/emul-linux-x86-wxGTK/emul-linux-x86-wxGTK-20130224.ebuild b/app-emulation/emul-linux-x86-wxGTK/emul-linux-x86-wxGTK-20130224.ebuild
deleted file mode 100644
index 580f97ed..00000000
--- a/app-emulation/emul-linux-x86-wxGTK/emul-linux-x86-wxGTK-20130224.ebuild
+++ /dev/null
@@ -1,21 +0,0 @@
-# Copyright 1999-2013 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/app-emulation/emul-linux-x86-baselibs/emul-linux-x86-baselibs-20130224.ebuild,v 1.1 2013/02/25 18:38:17 pacho Exp $
-
-EAPI=5
-inherit emul-linux-x86
-
-LICENSE="wxWinLL-3 GPL-2"
-
-KEYWORDS="-* ~amd64"
-
-DEPEND=""
-RDEPEND="~app-emulation/emul-linux-x86-baselibs-${PV}
- ~app-emulation/emul-linux-x86-gtklibs-${PV}
- || ( ~app-emulation/emul-linux-x86-xlibs-${PV}
- ( ~media-libs/fontconfig-2.10.2[abi_x86_32]
- ~media-libs/freetype-2.4.11[abi_x86_32]
- )
- )
- ~x11-libs/wxGTK-2.8.12.1
- "
diff --git a/app-emulation/emul-linux-x86-wxGTK/metadata.xml b/app-emulation/emul-linux-x86-wxGTK/metadata.xml
deleted file mode 100644
index e3d185d5..00000000
--- a/app-emulation/emul-linux-x86-wxGTK/metadata.xml
+++ /dev/null
@@ -1,5 +0,0 @@
-<?xml version="1.0" encoding="UTF-8"?>
-<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
-<pkgmetadata>
-<use><flag name="development">Install pkgconfig files</flag></use>
-</pkgmetadata>
diff --git a/app-emulation/lxc/Manifest b/app-emulation/lxc/Manifest
deleted file mode 100644
index 3e10927d..00000000
--- a/app-emulation/lxc/Manifest
+++ /dev/null
@@ -1,2 +0,0 @@
-DIST lxc-0.8.0-backports-1.tar.xz 2424 SHA256 5b68b96b9fbc2d0f5b2ad2e7fb996a3d837114237a306de39d9939f31756a522 SHA512 9898d78836cc546e80015a18070e3976118d2efb006584ecfb2887a4474598766e023eb6c120c16dae2e94dddc33c8a4e928fd44bc6fb2260a1913c06f5d374e WHIRLPOOL ef11f25ec8891f431be7aed32b38c0cc51e1096a37ea71c38aed4448ab0305784b510e2b55bdc73e5ef2128344a6c88adb3add798323f77e276b5185e53f5ef9
-DIST lxc-0.8.0.tar.gz 309973 SHA256 eac833730b94e423d4bef6834bc4a716437d2abd6ab8b24334c506aaaa08692c SHA512 47333e2010d0f4488b8876ba933f2d26304874bec0371a7ab3b6e5bd1a50a7d2312ff8507e273f1ee2341a7f2e3b79cd71e5e19ac31006a4e429ee96b01733f6 WHIRLPOOL 693b7d354dec7c6102d5ce3a42a9b618e213fd9ee8c592068ebadb7f25094606abce6c3da77b483fab0938410215010f71d487f336856c87327d6a98f20b65dd
diff --git a/app-emulation/lxc/files/lxc.initd.2 b/app-emulation/lxc/files/lxc.initd.2
deleted file mode 100644
index 72680d8f..00000000
--- a/app-emulation/lxc/files/lxc.initd.2
+++ /dev/null
@@ -1,132 +0,0 @@
-#!/sbin/runscript
-# Copyright 1999-2012 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/app-emulation/lxc/files/lxc.initd.2,v 1.6 2012/11/14 02:15:10 flameeyes Exp $
-
-CONTAINER=${SVCNAME#*.}
-
-lxc_get_configfile() {
- if [ -f "/etc/lxc/${CONTAINER}.conf" ]; then
- echo "/etc/lxc/${CONTAINER}.conf"
- elif [ -f "/etc/lxc/${CONTAINER}/config" ]; then
- echo "/etc/lxc/${CONTAINER}/config"
- else
- eerror "Unable to find a suitable configuration file."
- eerror "If you set up the container in a non-standard"
- eerror "location, please set the CONFIGFILE variable."
- return 1
- fi
-}
-
-[ $CONTAINER != $SVCNAME ] && CONFIGFILE=${CONFIGFILE:-$(lxc_get_configfile)}
-
-lxc_get_var() {
- awk 'BEGIN { FS="[ \t]*=[ \t]*" } $1 == "'$1'" { print $2; exit }' ${CONFIGFILE}
-}
-
-checkconfig() {
- if [ ${CONTAINER} = ${SVCNAME} ]; then
- eerror "You have to create an init script for each container:"
- eerror " ln -s lxc /etc/init.d/lxc.container"
- return 1
- fi
-
- # no need to output anything, the function takes care of that.
- [ -z "${CONFIGFILE}" ] && return 1
-
- utsname=$(lxc_get_var lxc.utsname)
- if [ ${CONTAINER} != ${utsname} ]; then
- eerror "You should use the same name for the service and the"
- eerror "container. Right now the container is called ${utsname}"
- return 1
- fi
-}
-
-depend() {
- # be quiet, since we have to run depend() also for the
- # non-muxed init script, unfortunately.
- checkconfig 2>/dev/null || return 0
-
- config ${CONFIGFILE}
- need localmount
-
- # find out which network interface the container is linked to,
- # and then require that to be enabled, so that the
- # dependencies are correct.
- netif=$(lxc_get_var lxc.network.link)
-
- # when the network type is set to phys, we can make use of a
- # network service (for instance to set it up before we disable
- # the net_admin capability), but we might also not set it up
- # at all on the host and leave the net_admin capable service
- # to take care of it.
- nettype=$(lxc_get_var lxc.network.type)
-
- if [ -n "${netif}" ]; then
- case "${nettype}" in
- phys) use net.${netif} ;;
- *) need net.${netif} ;;
- esac
- fi
-}
-
-start() {
- checkconfig || return 1
- rm /var/log/lxc/${CONTAINER}.log
-
- rootpath=$(lxc_get_var lxc.rootfs)
-
- # Check the format of our init and the chroot's init, to see
- # if we have to use linux32 or linux64; always use setarch
- # when required, as that makes it easier to deal with
- # x32-based containers.
- case $(scanelf -BF '%a#f' ${rootpath}/sbin/init) in
- EM_X86_64) setarch=linux64;;
- EM_386) setarch=linux32;;
- esac
-
- ebegin "Starting ${CONTAINER}"
- env -i ${setarch} $(type -p lxc-start) -l WARN -n ${CONTAINER} -f ${CONFIGFILE} -d -o /var/log/lxc/${CONTAINER}.log
- sleep 0.5
-
- # lxc-start -d will _always_ report a correct startup, even if it
- # failed, so rather than trust that, check that the cgroup exists.
- [ -d /sys/fs/cgroup/cpuset/lxc/${CONTAINER} ]
- eend $?
-}
-
-stop() {
- checkconfig || return 1
-
-
- if ! [ -d /sys/fs/cgroup/cpuset/lxc/${CONTAINER} ]; then
- ewarn "${CONTAINER} doesn't seem to be started."
- return 0
- fi
-
- init_pid=$(lxc-info -n ${CONTAINER} --pid | awk '{ print $2 }')
-
- if [ "${init_pid}" = "-1" ]; then
- ewarn "${CONTAINER} doesn't seem to be running."
- return 0
- fi
-
- ebegin "Shutting down system in ${CONTAINER}"
- kill -PWR ${init_pid}
- eend $?
-
- TIMEOUT=${TIMEOUT:-30}
- i=0
- while [ -n "$(pgrep -P ${init_pid})" -a $i -lt ${TIMEOUT} ]; do
- sleep 1
- i=$(expr $i + 1)
- done
-
- if [ -n "${missingprocs}" ]; then
- ewarn "Something failed to properly shut down in ${CONTAINER}"
- fi
-
- ebegin "Stopping ${CONTAINER}"
- lxc-stop -n ${CONTAINER}
- eend $?
-}
diff --git a/app-emulation/lxc/files/lxc_at.service b/app-emulation/lxc/files/lxc_at.service
deleted file mode 100644
index 1ef44977..00000000
--- a/app-emulation/lxc/files/lxc_at.service
+++ /dev/null
@@ -1,12 +0,0 @@
-[Unit]
-Description=Linux Container %I
-After=network.target
-
-[Service]
-Restart=always
-ExecStart=/usr/sbin/lxc-start -n %i
-ExecReload=/usr/sbin/lxc-restart -n %i
-ExecStop=/usr/sbin/lxc-stop -n %i
-
-[Install]
-WantedBy=multi-user.target
diff --git a/app-emulation/lxc/lxc-0.8.0-r1.ebuild b/app-emulation/lxc/lxc-0.8.0-r1.ebuild
deleted file mode 100644
index 7155e945..00000000
--- a/app-emulation/lxc/lxc-0.8.0-r1.ebuild
+++ /dev/null
@@ -1,144 +0,0 @@
-# Copyright 1999-2013 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: $
-
-EAPI="4"
-
-MY_P="${P/_/-}"
-
-BACKPORTS=1
-
-inherit eutils linux-info versionator flag-o-matic
-
-if [[ -n ${BACKPORTS} ]]; then
- inherit autotools
-fi
-
-DESCRIPTION="LinuX Containers userspace utilities"
-HOMEPAGE="http://lxc.sourceforge.net/"
-SRC_URI="http://lxc.sourceforge.net/download/lxc/${MY_P}.tar.gz
- ${BACKPORTS:+http://dev.gentoo.org/~flameeyes/${PN}/${MY_P}-backports-${BACKPORTS}.tar.xz}"
-S="${WORKDIR}/${MY_P}"
-
-KEYWORDS="~amd64 ~ppc64 ~x86"
-
-LICENSE="LGPL-3"
-SLOT="0"
-IUSE="examples +man"
-
-RDEPEND="sys-libs/libcap"
-
-DEPEND="${RDEPEND}
- man? ( app-text/docbook-sgml-utils )
- >=sys-kernel/linux-headers-3.2"
-
-RDEPEND="${RDEPEND}
- sys-apps/util-linux
- app-misc/pax-utils
- >=sys-apps/openrc-0.9.9.1
- virtual/awk"
-
-CONFIG_CHECK="~CGROUPS ~CGROUP_DEVICE
- ~CPUSETS ~CGROUP_CPUACCT
- ~RESOURCE_COUNTERS
- ~CGROUP_SCHED
-
- ~NAMESPACES
- ~IPC_NS ~USER_NS ~PID_NS
-
- ~DEVPTS_MULTIPLE_INSTANCES
- ~CGROUP_FREEZER
- ~UTS_NS ~NET_NS
- ~VETH ~MACVLAN
-
- ~POSIX_MQUEUE
- ~!NETPRIO_CGROUP
-
- ~!GRKERNSEC_CHROOT_MOUNT
- ~!GRKERNSEC_CHROOT_DOUBLE
- ~!GRKERNSEC_CHROOT_PIVOT
- ~!GRKERNSEC_CHROOT_CHMOD
- ~!GRKERNSEC_CHROOT_CAPS
-"
-
-ERROR_DEVPTS_MULTIPLE_INSTANCES="CONFIG_DEVPTS_MULTIPLE_INSTANCES: needed for pts inside container"
-
-ERROR_CGROUP_FREEZER="CONFIG_CGROUP_FREEZER: needed to freeze containers"
-
-ERROR_UTS_NS="CONFIG_UTS_NS: needed to unshare hostnames and uname info"
-ERROR_NET_NS="CONFIG_NET_NS: needed for unshared network"
-
-ERROR_VETH="CONFIG_VETH: needed for internal (host-to-container) networking"
-ERROR_MACVLAN="CONFIG_MACVLAN: needed for internal (inter-container) networking"
-
-ERROR_POSIX_MQUEUE="CONFIG_POSIX_MQUEUE: needed for lxc-execute command"
-
-ERROR_NETPRIO_CGROUP="CONFIG_NETPRIO_CGROUP: as of kernel 3.3 and lxc 0.8.0_rc1 this causes LXCs to fail booting."
-
-ERROR_GRKERNSEC_CHROOT_MOUNT=":CONFIG_GRKERNSEC_CHROOT_MOUNT some GRSEC features make LXC unusable see postinst notes"
-ERROR_GRKERNSEC_CHROOT_DOUBLE=":CONFIG_GRKERNSEC_CHROOT_DOUBLE some GRSEC features make LXC unusable see postinst notes"
-ERROR_GRKERNSEC_CHROOT_PIVOT=":CONFIG_GRKERNSEC_CHROOT_PIVOT some GRSEC features make LXC unusable see postinst notes"
-ERROR_GRKERNSEC_CHROOT_CHMOD=":CONFIG_GRKERNSEC_CHROOT_CHMOD some GRSEC features make LXC unusable see postinst notes"
-ERROR_GRKERNSEC_CHROOT_CAPS=":CONFIG_GRKERNSEC_CHROOT_CAPS some GRSEC features make LXC unusable see postinst notes"
-
-DOCS=(AUTHORS CONTRIBUTING MAINTAINERS TODO README doc/FAQ.txt)
-
-src_prepare() {
- sed -i 's/AM_CONFIG_HEADER/AC_CONFIG_HEADERS/g' configure.ac || die
- if [[ -n ${BACKPORTS} ]]; then
- epatch "${WORKDIR}"/patches/*
- eautoreconf
- fi
-}
-
-src_configure() {
- append-flags -fno-strict-aliasing
-
- econf \
- --localstatedir=/var \
- --bindir=/usr/sbin \
- --docdir=/usr/share/doc/${PF} \
- --with-config-path=/etc/lxc \
- --with-rootfs-path=/usr/lib/lxc/rootfs \
- $(use_enable man doc) \
- --disable-apparmor \
- $(use_enable examples)
-}
-
-src_install() {
- default
-
- rm -r "${D}"/usr/sbin/lxc-setcap \
- || die "unable to remove lxc-setcap"
-
- keepdir /etc/lxc /usr/lib/lxc/rootfs
-
- find "${D}" -name '*.la' -delete
-
- # Gentoo-specific additions!
- newinitd "${FILESDIR}/${PN}.initd.2" ${PN}
- keepdir /var/log/lxc
-}
-
-pkg_postinst() {
- elog "There is an init script provided with the package now; no documentation"
- elog "is currently available though, so please check out /etc/init.d/lxc ."
- elog "You _should_ only need to symlink it to /etc/init.d/lxc.configname"
- elog "to start the container defined into /etc/lxc/configname.conf ."
- elog "For further information about LXC development see"
- elog "http://blog.flameeyes.eu/tag/lxc" # remove once proper doc is available
- elog ""
- ewarn "With version 0.7.4, the mountpoint syntax came back to the one used by 0.7.2"
- ewarn "and previous versions. This means you'll have to use syntax like the following"
- ewarn ""
- ewarn " lxc.rootfs = /container"
- ewarn " lxc.mount.entry = /usr/portage /container/usr/portage none bind 0 0"
- ewarn ""
- ewarn "To use the Fedora, Debian and (various) Ubuntu auto-configuration scripts, you"
- ewarn "will need sys-apps/yum or dev-util/debootstrap."
- ewarn ""
- ewarn "Some GrSecurity settings in relation to chroot security will cause LXC not to"
- ewarn "work, while others will actually make it much more secure. Please refer to"
- ewarn "Diego Elio Pettenò's weblog at http://blog.flameeyes.eu/tag/lxc for further"
- ewarn "details."
-}
diff --git a/app-emulation/lxc/lxc-0.8.0-r2.ebuild b/app-emulation/lxc/lxc-0.8.0-r2.ebuild
deleted file mode 100644
index a304282d..00000000
--- a/app-emulation/lxc/lxc-0.8.0-r2.ebuild
+++ /dev/null
@@ -1,146 +0,0 @@
-# Copyright 1999-2014 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: $
-
-EAPI="5"
-
-MY_P="${P/_/-}"
-
-BACKPORTS=1
-
-inherit eutils linux-info versionator flag-o-matic systemd
-
-if [[ -n ${BACKPORTS} ]]; then
- inherit autotools
-fi
-
-DESCRIPTION="LinuX Containers userspace utilities"
-HOMEPAGE="http://lxc.sourceforge.net/"
-SRC_URI="http://lxc.sourceforge.net/download/lxc/${MY_P}.tar.gz
- ${BACKPORTS:+http://dev.gentoo.org/~flameeyes/${PN}/${MY_P}-backports-${BACKPORTS}.tar.xz}"
-S="${WORKDIR}/${MY_P}"
-
-KEYWORDS="~amd64 ~arm ~ppc64 ~x86"
-
-LICENSE="LGPL-3"
-SLOT="0"
-IUSE="examples +man"
-
-RDEPEND="sys-libs/libcap"
-
-DEPEND="${RDEPEND}
- man? ( app-text/docbook-sgml-utils )
- >=sys-kernel/linux-headers-3.2"
-
-RDEPEND="${RDEPEND}
- sys-apps/util-linux
- app-misc/pax-utils
- >=sys-apps/openrc-0.9.9.1
- virtual/awk"
-
-CONFIG_CHECK="~CGROUPS ~CGROUP_DEVICE
- ~CPUSETS ~CGROUP_CPUACCT
- ~RESOURCE_COUNTERS
- ~CGROUP_SCHED
-
- ~NAMESPACES
- ~IPC_NS ~USER_NS ~PID_NS
-
- ~DEVPTS_MULTIPLE_INSTANCES
- ~CGROUP_FREEZER
- ~UTS_NS ~NET_NS
- ~VETH ~MACVLAN
-
- ~POSIX_MQUEUE
- ~!NETPRIO_CGROUP
-
- ~!GRKERNSEC_CHROOT_MOUNT
- ~!GRKERNSEC_CHROOT_DOUBLE
- ~!GRKERNSEC_CHROOT_PIVOT
- ~!GRKERNSEC_CHROOT_CHMOD
- ~!GRKERNSEC_CHROOT_CAPS
-"
-
-ERROR_DEVPTS_MULTIPLE_INSTANCES="CONFIG_DEVPTS_MULTIPLE_INSTANCES: needed for pts inside container"
-
-ERROR_CGROUP_FREEZER="CONFIG_CGROUP_FREEZER: needed to freeze containers"
-
-ERROR_UTS_NS="CONFIG_UTS_NS: needed to unshare hostnames and uname info"
-ERROR_NET_NS="CONFIG_NET_NS: needed for unshared network"
-
-ERROR_VETH="CONFIG_VETH: needed for internal (host-to-container) networking"
-ERROR_MACVLAN="CONFIG_MACVLAN: needed for internal (inter-container) networking"
-
-ERROR_POSIX_MQUEUE="CONFIG_POSIX_MQUEUE: needed for lxc-execute command"
-
-ERROR_NETPRIO_CGROUP="CONFIG_NETPRIO_CGROUP: as of kernel 3.3 and lxc 0.8.0_rc1 this causes LXCs to fail booting."
-
-ERROR_GRKERNSEC_CHROOT_MOUNT=":CONFIG_GRKERNSEC_CHROOT_MOUNT some GRSEC features make LXC unusable see postinst notes"
-ERROR_GRKERNSEC_CHROOT_DOUBLE=":CONFIG_GRKERNSEC_CHROOT_DOUBLE some GRSEC features make LXC unusable see postinst notes"
-ERROR_GRKERNSEC_CHROOT_PIVOT=":CONFIG_GRKERNSEC_CHROOT_PIVOT some GRSEC features make LXC unusable see postinst notes"
-ERROR_GRKERNSEC_CHROOT_CHMOD=":CONFIG_GRKERNSEC_CHROOT_CHMOD some GRSEC features make LXC unusable see postinst notes"
-ERROR_GRKERNSEC_CHROOT_CAPS=":CONFIG_GRKERNSEC_CHROOT_CAPS some GRSEC features make LXC unusable see postinst notes"
-
-DOCS=(AUTHORS CONTRIBUTING MAINTAINERS TODO README doc/FAQ.txt)
-
-src_prepare() {
- sed -i 's/AM_CONFIG_HEADER/AC_CONFIG_HEADERS/g' configure.ac || die
- if [[ -n ${BACKPORTS} ]]; then
- epatch "${WORKDIR}"/patches/*
- eautoreconf
- fi
-}
-
-src_configure() {
- append-flags -fno-strict-aliasing
-
- econf \
- --localstatedir=/var \
- --bindir=/usr/sbin \
- --docdir=/usr/share/doc/${PF} \
- --with-config-path=/etc/lxc \
- --with-rootfs-path=/usr/lib/lxc/rootfs \
- $(use_enable man doc) \
- --disable-apparmor \
- $(use_enable examples)
-}
-
-src_install() {
- default
-
- rm -r "${D}"/usr/sbin/lxc-setcap \
- || die "unable to remove lxc-setcap"
-
- keepdir /etc/lxc /usr/lib/lxc/rootfs
-
- find "${D}" -name '*.la' -delete
-
- # Gentoo-specific additions!
- newinitd "${FILESDIR}/${PN}.initd.2" ${PN}
- keepdir /var/log/lxc
-
- systemd_newunit "${FILESDIR}"/lxc_at.service "lxc@.service"
-}
-
-pkg_postinst() {
- elog "There is an init script provided with the package now; no documentation"
- elog "is currently available though, so please check out /etc/init.d/lxc ."
- elog "You _should_ only need to symlink it to /etc/init.d/lxc.configname"
- elog "to start the container defined into /etc/lxc/configname.conf ."
- elog "For further information about LXC development see"
- elog "http://blog.flameeyes.eu/tag/lxc" # remove once proper doc is available
- elog ""
- ewarn "With version 0.7.4, the mountpoint syntax came back to the one used by 0.7.2"
- ewarn "and previous versions. This means you'll have to use syntax like the following"
- ewarn ""
- ewarn " lxc.rootfs = /container"
- ewarn " lxc.mount.entry = /usr/portage /container/usr/portage none bind 0 0"
- ewarn ""
- ewarn "To use the Fedora, Debian and (various) Ubuntu auto-configuration scripts, you"
- ewarn "will need sys-apps/yum or dev-util/debootstrap."
- ewarn ""
- ewarn "Some GrSecurity settings in relation to chroot security will cause LXC not to"
- ewarn "work, while others will actually make it much more secure. Please refer to"
- ewarn "Diego Elio Pettenò's weblog at http://blog.flameeyes.eu/tag/lxc for further"
- ewarn "details."
-}
diff --git a/app-emulation/lxc/metadata.xml b/app-emulation/lxc/metadata.xml
deleted file mode 100644
index 56016867..00000000
--- a/app-emulation/lxc/metadata.xml
+++ /dev/null
@@ -1,16 +0,0 @@
-<?xml version="1.0" encoding="UTF-8"?>
-<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
-<pkgmetadata>
- <use>
- <flag name="vanilla">
- Avoid adding Gentoo Linux-specific modifications, which include
- the custom init script. This is present as a flag to avoid
- forcing dependencies over users that might not want have them
- around as they use LXC in contexts where the init script is not
- useful.
- </flag>
- <flag name="man">
- Build and install man pages.
- </flag>
- </use>
-</pkgmetadata>